Get Extract Template Generation
curl --request GET \
--url https://sdk.nimbleway.com/v2/extract/templates/generations/{generation_id}import requests
url = "https://sdk.nimbleway.com/v2/extract/templates/generations/{generation_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://sdk.nimbleway.com/v2/extract/templates/generations/{generation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"error": "<string>",
"generated_version": {
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input_schema": {},
"metadata": {
"data_source": "<string>",
"description": "<string>",
"display_name": "<string>",
"domain": "<string>",
"entity_type": "<string>",
"tags": [
"<string>"
],
"vertical": "<string>"
},
"name": "<string>",
"output_schema": {},
"version_number": 123,
"samples": [
{
"input": "<unknown>",
"output": "<unknown>"
}
]
},
"generated_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"source_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "2023-11-07T05:31:56Z",
"summary": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Get Extract Template Generation
GET
/
v2
/
extract
/
templates
/
generations
/
{generation_id}
Get Extract Template Generation
Path Parameters
Response
Successful Response
Unique extract template generation identifier.
Current generation status.
When the generation completed.
When the generation was created.
Error message when generation failed.
Generated version details, when available.
Show child attributes
Show child attributes
Identifier of the generated version.
Extract template name associated with the generation.
Identifier of the version being refined.
When the generation started executing.
Summary of the generation result.
Was this page helpful?
⌘I